<div class="app-mat-field-inside-select">
    <kendo-multiselect #list class="app-multi-select"
                       [checkboxes]="checkboxes"
                       [autoClose]="!checkboxes"
                       [clearButton]="clearButton"
                       [value]="_value"
                       [data]="_data"
                       [textField]="textField"
                       [valueField]="valueField"
                       [filterable]="filterable"
                       [allowCustom]="allowCustom"
                       [tagMapper]="tagMapper"
                       [itemDisabled]="itemDisabled"
                       (filterChange)="handleFilter($event)"
                       (valueChange)="changeVal($event)"
                       (removeTag)="onRemoveTag($event)">

        <ng-template [ngIf]="selectAll" kendoMultiSelectHeaderTemplate>
            <div class="k-item" style="padding: 4px 8px;" *ngIf="selectAll && _data && _data.length > 0">
                <label class="k-checkbox-label" for="selectAll">
                    <input class="k-checkbox" type="checkbox" id="selectAll" (change)="selectAllToggle($event.target.checked)">
                    Select All
                </label>

            </div>
        </ng-template>

        <ng-template [ngIf]="add.value" kendoMultiSelectFooterTemplate>
            <div class="k-item" style="padding: 4px 8px;" *ngIf="add.value">
                <button class="no-border-bg-btn d-flex align-items-center" style="color: #00AEEF;" (click)="addNew()">
                    <mat-icon style="font-size: 16px; width: 16px; height: 16px;">add_circle_outline</mat-icon>
                    <span style="font-size: 15px;">{{add.text}}</span>
                </button>
            </div>
        </ng-template>

    </kendo-multiselect>
    <span *ngIf="dropDownArrow" class="dropdown-arrow k-icon k-i-arrow-60-down k-i-arrow-s"></span>
    <ng-content></ng-content>
</div>
